Skip to content
Start here

Fetch summary of transcripts for a session

realtime_kit.sessions.get_session_summary(strsession_id, SessionGetSessionSummaryParams**kwargs) -> SessionGetSessionSummaryResponse
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Returns a Summary URL to download the Summary of Transcripts for the session ID as plain text.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
session_id: str
ReturnsExpand Collapse
class SessionGetSessionSummaryResponse:
data: Optional[Data]
session_id: str
summary_download_url: str

URL where the summary of transcripts can be downloaded

summary_download_url_expiry: str

Time of Expiry before when you need to download the csv file.

success: Optional[bool]

Fetch summary of transcripts for a session

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.sessions.get_session_summary(
    session_id="session_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
print(response.data)
{
  "data": {
    "sessionId": "sessionId",
    "summaryDownloadUrl": "summaryDownloadUrl",
    "summaryDownloadUrlExpiry": "summaryDownloadUrlExpiry"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "sessionId": "sessionId",
    "summaryDownloadUrl": "summaryDownloadUrl",
    "summaryDownloadUrlExpiry": "summaryDownloadUrlExpiry"
  },
  "success": true
}